Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Ecore Tools » Sirius / Ecore Tools compatibility in Neon
Sirius / Ecore Tools compatibility in Neon [message #1745618] Thu, 13 October 2016 12:06 Go to next message
Pierre Gaufillet is currently offline Pierre GaufilletFriend
Messages: 20
Registered: September 2015
Junior Member
Hi!

I am facing major Ecore Tools malfunctions when installing both it and Sirius Specification environment in Eclipse Neon: properties are not shown anymore, impossible to create any EClass or EReference in diagrams.

I don't find any bug reports or topic about it. Has it been already observed?

Pierre
Re: Sirius / Ecore Tools compatibility in Neon [message #1745681 is a reply to message #1745618] Fri, 14 October 2016 12:34 Go to previous messageGo to next message
Cedric Brun is currently offline Cedric BrunFriend
Messages: 430
Registered: July 2009
Senior Member
It is certainly something we did not experienced, the closest thing which got reported lately was linked to the new properties views which would fail to display the candidates for setting an EReference eType.

Hi Pierre, with which version of Sirius and/or EcoreTools are you experiencing these problems ?

We are currently putting the last touches to Sirius 4.1 and the corresponding EcoreTools 3.2, both should be released in the upcoming week (before eclipsecon europe) I assume you could get weird issues by mixing other streams...
BTW a package with the tested and supported combinations can be found here https://www.obeodesigner.com/en/download and it is based on Neon. too, that could be intereting to compare with your installation.


http://cedric.brun.io news and articles on eclipse and eclipse modeling.
Re: Sirius / Ecore Tools compatibility in Neon [message #1745687 is a reply to message #1745681] Fri, 14 October 2016 14:16 Go to previous messageGo to next message
Pierre Gaufillet is currently offline Pierre GaufilletFriend
Messages: 20
Registered: September 2015
Junior Member
You're definitely right: a bit of ecore tools 3.2.0 has filter out to my workspace.
Pb solved by reinstalling neon.1 and using a clean workspace.

Sorry for the noise :-/

Pierre
Re: Sirius / Ecore Tools compatibility in Neon [message #1745693 is a reply to message #1745687] Fri, 14 October 2016 15:34 Go to previous message
Cedric Brun is currently offline Cedric BrunFriend
Messages: 430
Registered: July 2009
Senior Member
No worries, I just tightened the required versions of Sirius in the Manifest.MF, this should help in avoiding such situations.

Thanks for your feedback!


http://cedric.brun.io news and articles on eclipse and eclipse modeling.
Previous Topic:Load/Serialize JSON data into EMF Model
Next Topic:modeling
Goto Forum:
  


Current Time: Mon Nov 19 19:37:07 GMT 2018

Powered by FUDForum. Page generated in 0.02288 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top